Subject: Re: [Tsvwg] SCTP shutdown

From: Jonathan Wood <[email-masked]>
Date: Wed, 20 Jun 2001 16:05:19 -0700 (PDT)

Hmm looks like some more clarifications for the implementors
guide draft.

However, it is clear (to me, at least) that the *intent*
of the shutdown sequence as currently defined is to complete
the shutdown as expeditiously as possible. In order to
ensure that the SHUTDOWN chunk and any SACKs are delivered
as quickly and reliably as possible, the shutdown sender will
send a SHUTDOWN and / or a SACK in response to *each* data
chunk received. Any way you cut it, data transfer becomes
less efficient once a shutdown has been sent.

Jonathan 

>
>Jonathan,
>
>But, in contrast RFC 2960 section 6.2 Acknowledgement and
>        Reception of DATA Chunks
>
>    Note:  The SHUTDOWN chunk does not contain Gap Ack Block fields.
>    Therefore, the endpoint should use a SACK instead of the SHUTDOWN
>    chunk to acknowledge DATA chunks received our of order.
>
>Also, further along in section 9.2 Shutdown of an Association:
>
>    The rules in Section 6.3 MUST be followed to determine the proper
>    timer value for T2-shutdown.  To indicate any gaps in TSN, the
>    endpoint may also bundle a SACK with the SHUTDOWN chunk in the same
>    SCTP packet.
>
>So, I think your statements are hardly the last word, even
>considering the RFC.  It was always the intention that a SHUTDOWN
>be used instead of a SACK to acknowledge received data while in
>SHUTDOWN-SENT state (otherwise, who needs the cummulative TSN field?)
>The only need to send a SACK is when gaps and dups are encountered
>per the citations above.
>
>--Brian

_______________________________________________
tsvwg mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/tsvwg

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Wed, 20 Jun 2001 18:11:52 -0500

Jonathan,

Well, thats an interpretation.  Another interpretation might
be that the sender of the SHUTDOWN might as well acknowledge
each recived data chunk because it_has_nothing_else_to_send.

--Brian

-- 
Brian F. G. Bidulock    ¦ The reasonable man adapts himself to the ¦
[email-masked]    ¦ world; the unreasonable one persists in  ¦
http://www.openss7.org/ ¦ trying  to adapt the  world  to himself. ¦
                        ¦ Therefore  all  progress  depends on the ¦
                        ¦ unreasonable man. -- George Bernard Shaw ¦